List Charge Items
get
/public/v1/charge-itemsfilter[search]stringPartial match on the name, reference, or number.
Example:Transportfilter[status]stringFilter by status. One of: active, archived, all.
Example:activesortstringSort the results. Prefix with '-' for descending. One of: number, name, price.
Example:namepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ChargeItemResource
dataobject[]required▶Show 9 child attributesHide child attributes
idstringrequiredExample:c1h2a3r4-g5e6-47i8-9b0c-1d2e3f4a5b6creferencestringrequiredExample:SUPPORT_COORD_L2numberstringrequiredExample:07_001_0106_8_3namestringrequiredExample:Support Coordination Level 2unitstringrequiredExample:HpriceintegerrequiredExample:10044gst_codestringrequiredExample:P2default_claim_typestring | nullrequiredExample:Directarchived_atstring | nullrequired
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error